body.product_detail
  .product_header
    background $blue_light

    .container
      margin-top 0 !important
      padding 1rem 1rem

  .product_main
    &__container
      display grid
      align-items center
      grid-template-columns 100px 45% 45%
      margin-bottom 1rem

    &__thumbnails
      align-self start
      display flex
      flex-direction column
      flex-wrap wrap
      grid-column 1 / 2
      grid-row 1 / 2
      justify-self center
      margin 1.5rem 0 0

    &__img_container
      grid-column 2 / 3
      grid-row 1 / 2
      align-self start
      justify-self center
      margin 1.5rem 0 0 1rem
      max-width 600px
      max-height 600px

    &__img
      display block

    &__info
      align-self center
      grid-column 3 / 4
      grid-row 1 / 2
      padding 0 0 0 3.5rem

    &__thumbnail
      height 100px
      margin 0 1rem 1rem 0

    &__title
      color $black
      font-size 2.5rem
      margin 1rem 0 1.6rem
      text-transform uppercase
      width 360px

    &__price
      display flex
      align-items center
      margin-bottom 1.6rem

      &--old
        color $gray_light
        font-size 1.25rem
        margin-right 1.5rem
        text-decoration line-through

      &--current
        font-size 2rem
        font-weight bold

    &__buttons
      display flex
      align-items flex-end
      margin-top 2rem

      .select
        width 80px

      .product__btn
        width 120px

    &__field
      margin-right 2rem

    &__btn
      height 40px

  .product_extra
    &__container
      border-color $gray_white
      border-style solid
      border-width 1px 0 0 0
      display flex

    &__left
      flex 1
      border-right  1px solid $gray_white

    &__right
      flex 1
      display flex
      align-items center
      justify-items center

      &__text
        line-height 1.75

    &__img
      margin 0 64px
      width 120px

    &__title
      color $black
      font-size 1.75rem

  .product_related
    background $blue_light

    &__title
      font-size 1.75rem
      color $black

    &__grid
      display grid
      grid-template-columns repeat(5, 18%)
      grid-gap 40px 4px
      justify-content space-between
      align-content space-between

  .product_labels
    margin 1rem 0 2rem

    &__title
      color $black
      font-size 1.75rem
      margin 1rem 0

    &__items
      display flex
      flex-wrap wrap

    &__item
      display inline-block
      background $smoke
      border 1px solid $smoke
      border-radius 8px
      font-size .9rem
      font-weight 600
      margin 8px 12px 8px 0
      padding 8px 16px


  .kipin_features
    background $yellow

    &__container
      display flex
      padding 3rem 1rem

    &__item
      display flex
      flex 1
      flex-direction column
      text-align center
      align-items center

    &__icon
      height 100px

    &__title
      font-weight 700
      padding 16px 0 8px

    &__text
      font-size 1rem
      margin 8px 16px 0

@media screen and (max-width $tablet)
  body.product_detail
    .product_main
      &__container
        grid-template-columns 50% 50%

      &__img_container
        grid-column 1 / 2
        margin 1.5rem 0 0 0

      &__thumbnails
        grid-column 1 / 2
        grid-row 2 / 3
        flex-direction row

      &__info
        grid-column 2 / 3
        grid-row 1 / 3

      &__title
        font-size 2rem
        width auto

      &__price
        &--current
          font-size 1.5rem

      &__info
        align-self start
        padding 0 0 16px 24px

      &__thumbnail
        height 80px

        &:last-of-type
          margin-right 0


    .product_extra
      &__img
        margin 0 1rem

      &__left
        padding-right 1rem

      &__right
        &__text
          ol,
          ul
            padding-left 1rem

@media screen and (max-width $mobile)
  body.product_detail
    .product_main
      &__container
        grid-template-columns 50% 50%

    .product_extra
      ul,
      ol
        list-style-type none

      &__container
        flex-direction column
        align-items center
        line-height 1.5
        text-align center

      &__left
        border-right none
        border-bottom 1px solid #bebebe
        padding-bottom 24px
        padding-right 0

      &__right
        padding-top 24px

      &__img
        width 100px

    .product_related
      &__overflow
        width 100%
        overflow-x auto
        overflow-y hidden

      &__grid
        width 1024px

@media screen and (max-width $mobile_medium)
  body.product_detail
    .product_main
      &__container
        grid-template-columns 100%

      &__img_container
        margin 1.5rem 1rem 0

      &__thumbnails
        grid-column 1 / 2
        grid-row 2 / 3

      &__info
        grid-column 1 / 2
        grid-row 3 / 4
        padding 0 16px 16px

    .kipin_features
      &__container
        flex-direction column

      &__item
        display grid
        grid-template-columns 100px 180px
        margin 0 auto 1.5rem

      &__icon
        grid-row 1 / 3
        padding .75rem

      &__text
        grid-column 2 / 3
        margin 0
        padding 8px 0 0 8px

    .product_related
      &__grid
        padding-bottom 1rem

@media screen and (max-width $mobile_xsmall)
  body.product_detail
    .product_main
      &__img_container
        margin 0

      &__info
        padding 0 0 16px

      &__thumbnail
        height 72px

    .product_extra
      &__img
        margin 0 1rem 0 0

    .kipin_features
      &__item
        grid-template-columns 100px 160px

      &__icon
        padding .75rem .75rem .75rem 0